josm (0.0.svn13860+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 30 May 2018 07:07:29 +0200

josm (0.0.svn13860+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.
  * Rename java-9 patch to no-java-8, because of openjdk-10.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 28 May 2018 07:42:50 +0200

josm (0.0.svn13710+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 09 May 2018 07:16:15 +0200

josm (0.0.svn13710+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Bump Standards-Version to 4.1.4, no changes.
  * Refresh patches.
  * Update copyright years for Andrey Ponomarenko's ABI Laboratory.
  * Remove empty data/security directory.
  * Strip trailing whitespace from control & rules files.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 May 2018 08:11:37 +0200

josm (0.0.svn13576+dfsg-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Revert java-9 changes, stretch has openjdk-8 as default-jdk.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 09 Apr 2018 07:26:54 +0200

josm (0.0.svn13576+dfsg-3) unstable; urgency=medium

  * Add patch to remove java-8 JREs from list of possible Java commands.
  * Update Vcs-* URLs for Salsa.
  * Drop override for vcs-deprecated-in-debian-infrastructure.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Apr 2018 20:33:05 +0200

josm (0.0.svn13576+dfsg-2) unstable; urgency=medium

  * Bump Java dependencies from 8 to 9.
    java9-runtime is required when built with java9-sdk.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 28 Mar 2018 07:21:38 +0200

josm (0.0.svn13576+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.
  * Disable OpenJFX, not available for OpenJDK 9.
  * Add lintian override for vcs-deprecated-in-debian-infrastructure,
  * Bump minimum required jmapviewer version to 2.7.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 27 Mar 2018 07:25:20 +0200

josm (0.0.svn13500+dfsg-2) unstable; urgency=medium

  * Explicitly build with OpenJDK 8, OpenJFX not available for OpenJDK 9.
    See: #893348

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Mar 2018 08:54:30 +0100

josm (0.0.svn13500+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 10 Mar 2018 07:38:45 +0100

josm (0.0.svn13500+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 04 Mar 2018 19:02:35 +0100

josm (0.0.svn13478+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Update watch file to not use URL on Alioth (will be shutdown).
  * Bump minimum required jmapviewer version to 2.6.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Mar 2018 16:08:28 +0100

josm (0.0.svn13367+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 03 Feb 2018 07:43:32 +0100

josm (0.0.svn13367+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Update license for translations from BSD-3-Clause to GPL-2+ (same as JOSM).
  * Bump Standards-Version to 4.1.3, no changes.
  * Update copyright-format URL to use HTTPS.
  * Add license & copyright for XZ Java sources.
  * Refresh patches.
  * Bump minimum required jmapviewer version to 2.5.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 29 Jan 2018 07:55:09 +0100

josm (0.0.svn13265+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 06 Jan 2018 09:57:49 +0100

josm (0.0.svn13265+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Update copyright years for JSON sources.
  * Refresh patches.
  * Bump Standards-Version to 4.1.2, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 31 Dec 2017 20:46:08 +0100

josm (0.0.svn13170+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Dec 2017 18:17:32 +0100

josm (0.0.svn13170+dfsg-2) unstable; urgency=medium

  * Bump minimum required jmapviewer version to 2.4.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Nov 2017 08:29:53 +0100

josm (0.0.svn13170+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Update copyright holders for metadata-extractor sources.
  * Drop 'Update multipolygon' patch, included upstream.
    Refresh remaining patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Nov 2017 17:45:24 +0100

josm (0.0.svn13053+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Nov 2017 07:26:01 +0100

josm (0.0.svn13053+dfsg-2) unstable; urgency=medium

  * Add patch to fix 'Update multipolygon' action.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Nov 2017 20:04:04 +0100

josm (0.0.svn13053+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Remove BTS link from About > Info tab.
  * Refresh patches.
  * Strip trailing whitespace from control & changelog files.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 30 Oct 2017 16:44:52 +0100

josm (0.0.svn12921+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 09 Oct 2017 07:37:17 +0200

josm (0.0.svn12921+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Oct 2017 23:30:24 +0200

josm (0.0.svn12914+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Change priority from extra to optional.
  * Bump Standards-Version to 4.1.1, changes: priority.
  * Update license & copyright for AlphanumComparator.java.
  * Drop bashisms.patch, applied upstream. Refresh remaining patches.
  * Add lintian overrides for copyright-year-in-future false positives.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Oct 2017 14:58:18 +0200

josm (0.0.svn12712+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 15 Sep 2017 21:12:43 +0200

josm (0.0.svn12712+dfsg-2) unstable; urgency=medium

  * Add patch to fix bashism in josm launcher.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 03 Sep 2017 19:42:36 +0200

josm (0.0.svn12712+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 03 Sep 2017 11:23:11 +0200

josm (0.0.svn12545+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 18 Aug 2017 07:18:08 +0200

josm (0.0.svn12545+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.
  * Drop AppSteam patch, included upstream. Refresh other patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 13 Aug 2017 11:58:50 +0200

josm (0.0.svn12542+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 Aug 2017 10:34:29 +0200

josm (0.0.svn12542+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.
  * Drop license & copyright for DNSNameFix.java, removed upstream.
  * Bump minimum required jmapviewer version to 2.3.
  * Add upstream patch to fix AppSteam metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 30 Jul 2017 22:58:36 +0200

josm (0.0.svn12450+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 08 Jul 2017 10:59:28 +0200

josm (0.0.svn12450+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 Jul 2017 07:46:45 +0200

josm (0.0.svn12443+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.
  * Add openjfx to (build) dependencies for audio mapping support.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Jul 2017 11:46:14 +0200

josm (0.0.svn12275+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 27 Jun 2017 19:27:37 +0200

josm (0.0.svn12275+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 11:33:51 +0200

josm (0.0.svn12275+dfsg-1~exp1) experimental; urgency=medium

  * New hotfix tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 29 May 2017 17:12:45 +0200

josm (0.0.svn12271+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Add DNSNameFix.java to copyright file.
  * Refresh patches.
  * Bump minimum required jmapviewer version to 2.2.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 29 May 2017 07:12:30 +0200

josm (0.0.svn12039+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Drop webkit-image-* packages from Recommends.
    Yahoo imagery is no longer available (since 13 September 2011).
  * Bump minimum required jmapviewer version to 2.1.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 03 May 2017 07:39:18 +0200

josm (0.0.svn11826+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Drop josm-plugins from Recommends, package will be removed.
    See also: https://josm.openstreetmap.de/ticket/7483
  * Add josm-plugins to Conflicts, as it Breaks newer josm revisions.
  * Add proj-data to dependencies for grid shift files.
  * Update copyright for japicc.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 Apr 2017 08:04:55 +0200

josm (0.0.svn11639+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Update public-domain i18n scripts in copyright file.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 28 Feb 2017 07:56:18 +0100

josm (0.0.svn11526+dfsg-1~exp1) experimental; urgency=medium

  * New hotfix tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 02 Feb 2017 19:38:39 +0100

josm (0.0.svn11514+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Add license & copyright for OSM test data.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jan 2017 08:02:44 +0100

josm (0.0.svn11427+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Don't remove icons from JOSM source, icons from OSM SVN no longer used.
  * Drop openstreetmap-map-icons dependency, icons included in JOSM now.
  * Add license & copyright for preset icons.
  * Drop 02-elemstyles.patch, openstreetmap-map-icons package no longer used.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Jan 2017 23:52:18 +0100

josm (0.0.svn11223+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Use the Debian BTS instead of JOSM Trac in BugReportSender class.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Nov 2016 08:01:23 +0100

josm (0.0.svn10966+dfsg-2) unstable; urgency=medium

  * Fix 'Contributors' typo in copyright file.
  * Update 06-move_data_out_of_jar.patch to also handle help-browser.css.
    (closes: #838247)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 19 Sep 2016 16:42:27 +0200

josm (0.0.svn10966+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Drop Debian OpenStreetMap Team from Uploaders.
  * Include epoch in default-jdk version requirement.
  * Update copyright file, changes:
    - Update copyright for src/com/drew/*
    - Add license & copyright for japi-compliance-checker.pl
  * Drop svn-r10789-fix-two-svg-files.patch, included upstream.
    Refresh remaining patches.
  * Drop unused override for incompatible-java-bytecode-format.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Sep 2016 10:31:26 +0200

josm (0.0.svn10786+dfsg-2) unstable; urgency=medium

  * Add patch to fix two SVG files, causing exception.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 12 Aug 2016 17:11:41 +0200

josm (0.0.svn10786+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
    - switch to Java 8
  * Update JDK & JRE dependencies to require at least version 1.8.
  * Switch more URLs to HTTPS.
  * Bump minimum required openstreetmap-map-icons-classic to 1:0.0.svn32805.
  * Bump minimum required jmapviewer version to 2.0.
  * Refresh patches.
  * Update copyright file, changes:
    - Drop license & copyright for FileDrop.java, removed upstream

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 12 Aug 2016 15:17:12 +0200

josm (0.0.svn10526+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Use /etc/default/josm to configure Java options.
    (LP: #287717)
  * Require at least openstreetmap-map-icons-classic 1:0.0.svn32641.
  * Drop 09-josm-default-options.patch, applied upstream.
    Refresh remaining patches.
  * Update copyright comment with updates from CONTRIBUTION file.
  * Drop unused override for license-problem-json-evil false positive.
  * Bump minimum required jmapviewer version to 1.17.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Jul 2016 13:39:21 +0200

josm (0.0.svn10327+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 06 Jun 2016 20:03:12 +0200

josm (0.0.svn10301+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 May 2016 21:58:08 +0200

josm (0.0.svn10168+dfsg-2) unstable; urgency=medium

  * Use groovy instead of the deprecated groovy2.
    (closes: #824189)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 May 2016 16:52:10 +0200

josm (0.0.svn10168+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 May 2016 07:39:08 +0200

josm (0.0.svn10161+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Install additional icon sizes in hicolor theme.
  * Bump Standards-Version to 3.9.8, changes:
    additional icon sizes in hicolor theme.
  * Update copyright years for translations.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 Apr 2016 22:30:48 +0200

josm (0.0.svn9979+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 13 Mar 2016 18:59:42 +0100

josm (0.0.svn9963+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 12 Mar 2016 15:05:21 +0100

josm (0.0.svn9900+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.
  * Update copyright file, changes:
    - Add license & copyright for test validation routines
    - Drop © character from copyright statements
  * Refresh patches.
  * Bump minimum required jmapviewer version to 1.15.
  * Update missing-sources for overpass-wizard.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Mar 2016 22:27:07 +0100

josm (0.0.svn9329+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 07 Jan 2016 21:27:22 +0100

josm (0.0.svn9229+dfsg-2) unstable; urgency=medium

  * Fix custom-epsg file generation due to missing JMapViewer classes.
    Empty file caused 'Unknown projection code' error at startup.
    epsg build target now also includes packaged JARs in its classpath.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Jan 2016 01:56:30 +0100

josm (0.0.svn9229+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 31 Dec 2015 18:25:12 +0100

josm (0.0.svn9224+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Bump minimum required jmapviewer version to 1.14.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 31 Dec 2015 15:50:52 +0100

josm (0.0.svn9060+dfsg-2) unstable; urgency=medium

  * Fix loading of translation files by using the absolute filesystem path.
    (closes: #807751)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 12 Dec 2015 16:49:12 +0100

josm (0.0.svn9060+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Nov 2015 23:16:32 +0100

josm (0.0.svn9060+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Drop 08-josm-alternatives.patch, applied upstream.
    Refresh remaining patches.
  * Bump minimum required jmapviewer version to 1.13.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Nov 2015 09:51:39 +0100

josm (0.0.svn8969+dfsg-4) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Nov 2015 11:39:03 +0100

josm (0.0.svn8969+dfsg-4~exp1) experimental; urgency=medium

  * Use Noto instead of Droid fonts.
    (closes: #804683)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 10 Nov 2015 21:52:28 +0100

josm (0.0.svn8969+dfsg-3) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 06 Nov 2015 10:37:38 +0100

josm (0.0.svn8969+dfsg-3~exp1) experimental; urgency=medium

  * Add commons-codec.jar to classpath again, required for signpost-core.jar.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Nov 2015 19:39:04 +0100

josm (0.0.svn8969+dfsg-2) unstable; urgency=medium

  * Drop libandroid-json-org-java & libcommons-codec-java dependencies,
    no longer required (since r6756 & r8149 respectively).
    Thanks to Vincent Privat for the report.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 31 Oct 2015 14:17:00 +0100

josm (0.0.svn8969+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Drop patch applied upstream, refresh remaining patches.
  * Update josm executable to support OpenJDK 8 & 9 too.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Oct 2015 13:10:04 +0100

josm (0.0.svn8800+dfsg3-1) unstable; urgency=medium

  * Don't mark the Debian package build as a local build in MANIFEST.MF.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Oct 2015 13:41:32 +0200

josm (0.0.svn8800+dfsg3-1~exp1) experimental; urgency=medium

  * Also remove OSX support from upstream source.
  * Improve DEP3 patch headers, use HTTPS URLS in BTS patch.
  * Re-enable i18n build for core translations.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 10 Oct 2015 23:12:39 +0200

josm (0.0.svn8800+dfsg2-1~exp1) experimental; urgency=medium

  * New tested snapshot.
    (closes: #785416, #785417)
  * Add dependencies for commons-logging.
  * Update copyright file.
  * Update patches, drop disabled patches, use groovy2 package.
  * Bump minimum required jmapviewer version to 1.11.
  * Drop xjc command for removed wms-cache.xsd.
  * Use embedded metadata-extractor for getFirstDirectoryOfType symbol.
  * Add missing-sources for overpass-turbo-ffs.js & opening_hours.js.
  * Use desktop file in favor of menu file per CTTE #741573.
  * Install logo per Icon Theme Specification.
  * Enable parallel builds.
  * Update watch file and SVN URLs to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 10 Oct 2015 00:00:53 +0200

josm (0.0.svn8159+dfsg1-2) unstable; urgency=medium

  * Patch REVISION file to add Build-Name property for identification of the
    Debian build. (closes: #789161)
  * Update Vcs-Browser URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 31 Aug 2015 21:35:05 +0200

josm (0.0.svn8159+dfsg1-1) unstable; urgency=medium

  * Update branch in gbp.conf and Vcs-Git URL.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Jun 2015 21:44:58 +0200

josm (0.0.svn8159+dfsg1-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Bump minimum required libmetadata-extractor-java to 2.7.2.
  * Bump minimum required jmapviewer version to 1.07.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Apr 2015 23:00:38 +0200

josm (0.0.svn8109+dfsg1-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Update my email to @debian.org address.
  * Update copyright file, changes:
    - Update copyright years
    - Indent multiline copyright
    - Add i18n/convmaps.pl, remove i18n/convwms.pl
  * Bump minimum required jmapviewer version to 1.06, JOSM uses the new
    TemplatedTMSTileSource() method introduced in JMapViewer 1.06.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Mar 2015 19:23:59 +0100

josm (0.0.svn7995+dfsg1-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Drop runtime dependency on ant, its bzip2 support is no longer used.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 01 Feb 2015 20:00:18 +0100

josm (0.0.svn7906+dfsg2-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Add (build) dependency on libcommons-compress-java,
    its bzip2 support is now used instead of Apache Ant.
  * Install upstream man page.
  * Also remove Windows installer from upstream tarball.
  * Refresh patches.
  * Bump minimum requires jmapviewer version to 1.05, JOSM uses the
    TMSFileCacheTileLoader class introduced in JMapViewer 1.05.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 30 Dec 2014 19:09:10 +0100

josm (0.0.svn7778+dfsg1-1~exp2) experimental; urgency=medium

  * Add alternative dependency on minimum required JRE.
  * Update Vcs-* fields to use pkg-grass instead of pkg-osm,
    and cgit instead of gitweb.
  * Disable FTBFS causing translation in d/rules instead of removing it
    in d/clean.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 14 Dec 2014 13:49:10 +0100

josm (0.0.svn7778+dfsg1-1~exp1) experimental; urgency=medium

  * New tested snapshot (7777) + next revision to include logo fix for Linux.
    Thanks to Vincent Privat for the notification about the logo fix.
  * Update watch file to use the pkg-grass JOSM Redirector.
  * Update copyright file:
    - Add comment with the GPL-2+/GPL-3+/Apache-2.0 information from LICENSE
      file
    - Correct license from GPL-3+ to GPL-2+ for JOSM
    - Update JOSM contributors list
    - Add License section for GPL-2 with Classpath exception and CDDL-1.1
    - Add Files section for Glassfish JSON source using GPL-2 with Classpath
      exception or CDDL-1.1
    - Add License section for BSD-2-Clause
    - Add Files section for openhours Javascript source using BSD-2-Clause
    - Add License section for GPL-1+
    - Add Files section for Diff source using GPL-1+
    - Correct license from GPL-3+ to BSD-3-Clause for JOSM translations.
    (LP: #1273178)
  * Strip comments from translations, but preserve copyright header.
  * Install the appstream appdata.xml file.
    Thanks to Marcus Lundblad for the patch.
    (closes: #770881)
  * Add upstream metadata.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 10 Dec 2014 22:02:33 +0100

josm (0.0.svn7643+dfsg1-1) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6, no changes.
  * Remove Java 6 support, JOSM now requires Java 7.
    (closes: #708136)
  * New tested snapshot.
    (closes: #765752, #764781, #764096, #741070)
  * Refresh patches.
  * Add gbp.conf to use pristine-tar by default.
  * Remove josm examples, start.html no longer included.
  * Restructure control file with cme.
  * Switch Maintainer from the Debian OpenStreetMap Team to the Debian
    GIS Project.
  * Add myself to Uploaders.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 24 Oct 2014 18:31:19 +0200

josm (0.0.svn7480+dfsg1-1) unstable; urgency=medium

  * Uploading to unstable
  * New tested snapshot (Closes: #754254)
    - removed embedded code copy of jmapviewer (Closes: #731029)
    - removed embedded code copy of JSON-java under "good-not-evil"
      non-free license (Closes: #740890. #760656)
    - uses newer metadata-extractor (Closes: #753378)
  * Bumped debhelper compatibility to >= 9
  * Bumped Standards-Version to 3.9.5, no changes needed
  * Dropped alternative dependency on obsolete JREs: openjdk-6-jre and
    sun-java6-jre
  * Added 04-use_system_jmapviewer.patch to avoid embedding parts of
    jmapviewer in the final JOSM JAR
  * Removed references to embedded jmapviewer and other files no more
    distributed in debian/copyright
  * De-fuzzed 00-build.patch
  * Added overrides for lintian's experimental privacy-breach-generic
    tag
  * (Build-)Depend on jmapviewer (>= 1.02+svn30322.really+dfsg1), since
    its API changed, and JOSM now depends on the new one
  * Remove embedded fonts during repacking (and add dependency on
    fonts-droid) (07-use_system_fonts.patch)

 -- David Paleino <dapal@debian.org>  Sun, 28 Sep 2014 14:13:01 +0200

josm (0.0.svn6687+dfsg1-1) experimental; urgency=low

  * New development snapshot.
  * Refresh patches to apply to the new upstream source.
  * Build against libmetadata-extractor-java 2.6.4.
  * Upload to experimental.

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 15 Jan 2014 23:35:17 +0100

josm (0.0.svn6502+dfsg1-1) unstable; urgency=medium

  [ David Paleino ]
  * New tested snapshot (Closes: #725011)
  * Patches refreshed to apply to new upstream source

  [ Andrew Shadura ]
  * Build against libmetadata-extractor-java 2.3.1.

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 15 Jan 2014 16:46:44 +0100

josm (0.0.svn6115+dfsg1-1) unstable; urgency=low

  [ David Paleino ]
  * Fix hyphen-used-as-minus-sign in manpage.

  [ Mònica Ramírez Arceda ]
  * New tested snapshot (Closes: #708948).
  * debian/control:
    - Add myself to Uploaders.
    - josm-l10n: Section field set to 'localization'.
  * debian/rules: remove empty /usr/share/josm/images/styles directory.
  * debian-copyright:
    - Fix i18n/convplugins.pl file name.
    - Fix license keyword for public domain files and add description.
  * debian/josm.desktop: Add Keywords key.
  * 01-bts.patch: Open Debian BTS URL when clicking "Report bug" button in
    "Status Report" window.

 -- Mònica Ramírez Arceda <monica@debian.org>  Tue, 10 Sep 2013 18:01:37 +0200

josm (0.0.svn5759+dfsg1-1) experimental; urgency=low

  * New tested snapshot.
  * Make 06-move_data_out_of_jar.patch more generic, thanks to
    Paul Hartmann for the patch. (Closes: #698608)

 -- David Paleino <dapal@debian.org>  Fri, 05 Apr 2013 10:29:44 +0200

josm (0.0.svn5608+dfsg1-2) unstable; urgency=low

  * Updated manpage (Closes: #696692).
  * Updated debian/copyright.

 -- David Paleino <dapal@debian.org>  Sat, 19 Jan 2013 14:52:22 +0100

josm (0.0.svn5608+dfsg1-1) unstable; urgency=low

  * New tested snapshot (Closes: #695197).
  * Update josm.desktop to make it work also in Unity
    (Closes: #690585)
  * Fixed patch to load images from the openstreetmap-map-icons
    package (Closes: #693486).
  * Move useful shareable data out of the jar.
  * Split translations to josm-l10n package (Closes: #647744).
  * Fix Vcs-* fields.

 -- David Paleino <dapal@debian.org>  Fri, 21 Dec 2012 00:00:28 +0100

josm (0.0.svn5576+dfsg1-1) unstable; urgency=low

  * New tested snapshot.
  * Added missing copyright information for src/org/jdesktop/* and
    src/gnu/*.
  * Strip comments from po-files, to save some space in the tarball
    during repackaging.

 -- David Paleino <dapal@debian.org>  Tue, 13 Nov 2012 22:30:22 +0100

josm (0.0.svn5531+dfsg1-1) unstable; urgency=low

  [ Giovanni Mascellani ]
  * Remove myself from the uploader list, since I have no time
    anymore to stay after this package.

  [ David Paleino ]
  * New tested snapshot (Closes: #685153)
    - fixed exception when merging multiple layers (Closes: #683186)
  * Don't prefer IPv4 stack anymore in josm wrapper script, since
    it seems to be functional now (Closes: #654515)
  * Patches refreshed to match new upstream code
  * 06-handle_redacted_objects.patch and
    07-handle_deleted_nodes_without_coordinates.patch dropped, were
    backported from upstream
  * Standards-Version bump to 3.9.4, no changes needed

 -- David Paleino <dapal@debian.org>  Wed, 10 Oct 2012 11:17:44 +0200

josm (0.0.svn5267+dfsg1-2) unstable; urgency=low

  * Backported patches from upstream repository, to handle recent
    OSM license change (Closes: #682315)
      - 06-handle_redacted_objects.patch
      - 07-handle_deleted_nodes_without_coordinates.patch

 -- David Paleino <dapal@debian.org>  Mon, 23 Jul 2012 10:16:59 +0200

josm (0.0.svn5267+dfsg1-1) unstable; urgency=low

  * New tested snapshot

 -- David Paleino <dapal@debian.org>  Fri, 08 Jun 2012 20:58:08 +0200

josm (0.0.svn5210+dfsg1-1) unstable; urgency=low

  * New tested snapshot

 -- David Paleino <dapal@debian.org>  Wed, 30 May 2012 09:57:48 +0200

josm (0.0.svn5181+dfsg1-1) unstable; urgency=low

  * New tested snapshot
  * Dropped Andreas Putzo and Petter Reinholdtsen from Uploaders,
    since they've been inactive for long
  * Updated debian/copyright

 -- David Paleino <dapal@debian.org>  Thu, 19 Apr 2012 12:30:11 +0200

josm (0.0.svn5047+dfsg1-1) unstable; urgency=low

  * New tested snapshot
  * Fix wrapper script to detect newer versions of OpenJDK
    (Closes: #661942)
  * Bump Standards-Version to 3.9.3, no changes needed

 -- David Paleino <dapal@debian.org>  Thu, 22 Mar 2012 18:05:23 +0100

josm (0.0.svn4878+dfsg1-1) unstable; urgency=low

  * New tested snapshot

 -- David Paleino <dapal@debian.org>  Thu, 02 Feb 2012 11:11:35 +0100

josm (0.0.svn4667+dfsg1-3) unstable; urgency=low

  * Gar, really drop libgdata-java (Closes: #657930)

 -- David Paleino <dapal@debian.org>  Tue, 31 Jan 2012 11:27:06 +0100

josm (0.0.svn4667+dfsg1-2) unstable; urgency=low

  * Drop Build-Depends on libgdata-java

 -- David Paleino <dapal@debian.org>  Fri, 27 Jan 2012 17:51:49 +0100

josm (0.0.svn4667+dfsg1-1) unstable; urgency=low

  * New upstream snapshot
  * Fix jar generation: don't include .po files

 -- David Paleino <dapal@debian.org>  Mon, 26 Dec 2011 19:07:03 +0100

josm (0.0.svn4666+dfsg1-1) unstable; urgency=low

  * New upstream snapshot (Closes: #652645)
  * Fix dependency on OpenJDK 7 (Closes: #651731)
  * Patches refreshed

 -- David Paleino <dapal@debian.org>  Mon, 19 Dec 2011 21:30:33 +0100

josm (0.0.svn4550+dfsg2-1) unstable; urgency=low

  * Fix get-orig-source target to grab translations (Closes: #647721)

 -- David Paleino <dapal@debian.org>  Sat, 05 Nov 2011 18:23:31 +0100

josm (0.0.svn4550+dfsg1-1) unstable; urgency=low

  * New upstream version (Closes: #647634)
  * Added missing dependency on ant (Closes: #644449)
  * Patches refreshed

 -- David Paleino <dapal@debian.org>  Sat, 05 Nov 2011 17:16:02 +0100

josm (0.0.svn4487+dfsg2-2) unstable; urgency=low

  * Fix startup via "josm & exit", thanks to Alberto Fernández
    (Closes: #578624)

 -- David Paleino <dapal@debian.org>  Tue, 11 Oct 2011 09:31:00 +0200

josm (0.0.svn4487+dfsg2-1) unstable; urgency=low

  * New upstream release
  * Patches refreshed to cleanly apply to new sources
  * 100-fix_SlippyMapBBoxChooser.patch added: class with missing methods
    and accessing protected members

 -- David Paleino <dapal@debian.org>  Sat, 08 Oct 2011 23:24:10 +0200

josm (0.0.svn4399+dfsg2-2) unstable; urgency=low

  [ Damien Raude-Morvan ]
  * Add missing dependency on commons-codec, fixing exceptions during
    upload.
  * Drop CLASSPATH setting from debian/josm.sh as Class-Path is already
    set in josm.jar.
  * Add support for openjdk-7.

 -- David Paleino <dapal@debian.org>  Wed, 28 Sep 2011 11:35:21 +0200

josm (0.0.svn4399+dfsg2-1) unstable; urgency=low

  * Reintroduce ntf_r93_b.gsb in the package: its removal should be
    better handled (Closes: #642976)

 -- David Paleino <dapal@debian.org>  Mon, 26 Sep 2011 17:45:22 +0200

josm (0.0.svn4399+dfsg1-1) unstable; urgency=low

  [ Giovanni Mascellani ]
  * New upstream release (closes: #636345).
  * debian/patches:
    - refreshed and modified according new upstream version
    - descriptions improved
    - 50-preferences_world_readable.patch: removed, integrated
      upstream
  * debian/rules:
    - delete some autogenerated and non-free file from upstream SVN
      in get-orig-source;
    - generate some deleted autogenerated code.
  * debian/README.source: added, with details about repackaging.

  [ David Paleino ]
  * Support multi-archified OpenJDK (Closes: #639853)

 -- David Paleino <dapal@debian.org>  Sun, 25 Sep 2011 22:20:02 +0200

josm (0.0.svn4064-3) unstable; urgency=low

  * Build-Depend on default-jdk, that is used for compilation (closes:
    #630561).

 -- Giovanni Mascellani <gio@debian.org>  Thu, 16 Jun 2011 11:12:33 +0200

josm (0.0.svn4064-2) unstable; urgency=low

  * Fix Uploaders field

 -- David Paleino <dapal@debian.org>  Tue, 03 May 2011 19:11:54 +0200

josm (0.0.svn4064-1) unstable; urgency=low

  * New upstream snapshot
  * Patches refreshed to cleanly apply
  * Switch Maintainer/Uploaders between pkg-grass and pkg-osm
  * Repository moved under pkg-osm space

 -- David Paleino <dapal@debian.org>  Tue, 03 May 2011 17:26:25 +0200

josm (0.0.svn4021-1) unstable; urgency=low

  * New upstream snapshot
  * Standards-Version bump to 3.9.2, no changes needed
  * Patches refreshed

 -- David Paleino <dapal@debian.org>  Fri, 15 Apr 2011 09:45:39 +0200

josm (0.0.svn3966-1) unstable; urgency=low

  * New upstream snapshot

 -- David Paleino <dapal@debian.org>  Thu, 10 Mar 2011 11:05:30 +0100

josm (0.0.svn3961-1) unstable; urgency=low

  [ Giovanni Mascellani ]
  * Fixed icon installation.
  * josm.desktop uses 128x128 PNG icon (josm.menu cannot because menu
    specification requires an icon to ba at maximum 32x32).

  [ David Paleino ]
  * New upstream snapshot
  * Patches refreshed

 -- David Paleino <dapal@debian.org>  Mon, 07 Mar 2011 21:55:20 +0100

josm (0.0.svn3751-4) unstable; urgency=low

  * Fixed present icons searching even when they come from mappaint icons
    collection (closes: #600726).

 -- Giovanni Mascellani <gio@debian.org>  Sun, 20 Feb 2011 11:34:31 +0100

josm (0.0.svn3751-3) unstable; urgency=low

  * Use system proxy settings by default (closes: #610006).

 -- Giovanni Mascellani <gio@debian.org>  Sun, 16 Jan 2011 14:58:03 +0100

josm (0.0.svn3751-2) unstable; urgency=low

  * Added recommends to webkit-image-gtk | webkit-image-qt

 -- David Paleino <dapal@debian.org>  Sat, 01 Jan 2011 23:41:45 +0100

josm (0.0.svn3751-1) unstable; urgency=low

  * New upstream snapshot
  * Plugins integrated in josm-core: slippymap, wmsplugin,
    remotecontrol, imagery.
  * Patches refreshed.

 -- David Paleino <dapal@debian.org>  Sat, 01 Jan 2011 19:16:33 +0100

josm (0.0.svn3701-1) unstable; urgency=low

  * New upstream snapshot

 -- David Paleino <dapal@debian.org>  Wed, 08 Dec 2010 19:13:46 +0100

josm (0.0.svn3695-1) unstable; urgency=low

  [ David Paleino ]
  * New upstream snapshot
  * debian/icons/*.xpm updated from the logo.png image
  * debian/install:
    - install debian/icons/josm.png in /usr/share/pixmaps. josm.png
      is a symlink to upstream's logo.png (LP: #530014)
  * debian/josm.desktop: move from Geoscience to Geography
    (LP: #643205)
  * debian/compat bumped to 8
  * debian/patches/* refreshed

  [ Giovanni Mascellani ]
  * josm.sh:
    - remove SUN Java 5, which isn't supperted any more;
    - don't try to use OpenJDK 6 virtual machine if it's only headless
      (closes: #603932).

 -- David Paleino <dapal@debian.org>  Mon, 06 Dec 2010 09:50:56 +0100

josm (0.0.svn3592-1) unstable; urgency=low

  * New upstream snapshot
  * debian/patches/:
    - 10-build.patch, 50-preferences_world_readable.patch,
      80-fix_images.patch refreshed to cleanly apply

 -- David Paleino <dapal@debian.org>  Sun, 10 Oct 2010 20:41:25 +0200

josm (0.0.svn3514-2) unstable; urgency=low

  * debian/patches/90-fix_version.patch added, fix inconsistency
    between code and upstream website. Thanks to Mario Izquierdo
    (Closes: #598920)
  * debian/control: use openjdk-6-jdk instead of default-jdk, to ease
    sync to Ubuntu.

 -- David Paleino <dapal@debian.org>  Wed, 06 Oct 2010 10:34:40 +0200

josm (0.0.svn3514-1) unstable; urgency=low

  * New upstream snapshot
  * debian/patches/* refreshed to cleanly apply to the new code
  * debian/patches/60-port_oauth_1.2.patch removed, merged upstream
  * debian/control:
    - Build-Depends on default-jdk bumped to >= 1.6
    - Standards-Version bumped to 3.9.1, no changes needed
    - drop alternative dependency on sun-java5-jre: Java 5 is no more
      supported by upstream

 -- David Paleino <dapal@debian.org>  Tue, 07 Sep 2010 09:58:00 +0200

josm (0.0.svn3376-1) unstable; urgency=low

  * New upstream snapshot
  * debian/patches/80-fix_images.patch refreshed

 -- David Paleino <dapal@debian.org>  Sun, 18 Jul 2010 17:30:47 +0200

josm (0.0.svn3329-2) unstable; urgency=low

  * OAuth support is now enabled
    - debian/control: added Build-Depends on liboauth-signpost-java
    - debian/rules: add signpost-core.jar to the CLASSPATH
    - debian/patches/:
      - series: 60-disable_oauth.patch disabled
      - 10-build.patch: add signpost-core.jar to MANIFEST's Class-Path
      - 60-port_oauth_1.2.patch added: port josm to signpost 1.2
  * debian/README.Debian deleted, josm is a wrapper that uses the
    alternatives system
  * debian/control:
    - Standards-Version bumped to 3.9.0, no changes needed
    - added runtime dependency on liboauth-signpost-java

 -- David Paleino <dapal@debian.org>  Thu, 15 Jul 2010 15:25:54 +0200

josm (0.0.svn3329-1) unstable; urgency=low

  [ David Paleino ]
  * New upstream release
  * debian/patches/* refreshed
  * debian/rules converted to dh7
  * debian/control:
    - bumped debhelper build-dependency to >= 7.0.50~
    - removed build-dependency on cdbs
  * debian/compat bumped to 7
  * debian/README.source removed
  * debian/copyright: added myself to debian/*

  [ Giovanni Mascellani ]
  * My email address updated

 -- David Paleino <dapal@debian.org>  Tue, 15 Jun 2010 22:04:31 +0200

josm (0.0.svn3208-1) unstable; urgency=low

  * New upstream release
  * debian/patches/80-fix_images.patch added, use an empty image
    (temporary fix, should really use images from
    openstreetmap-map-icons-* packages, if available)
    (Closes: #579124)

 -- David Paleino <dapal@debian.org>  Wed, 28 Apr 2010 20:12:54 +0200

josm (0.0.svn3196-1) unstable; urgency=low

  * New upstream release
  * debian/patches/:
    - 10-build.patch, 20-bts.patch, 60-disable_oauth.patch
      refreshed
  * debian/source/format: using 3.0 (quilt)
  * debian/control, debian/rules: removed dependency on quilt

 -- David Paleino <dapal@debian.org>  Fri, 23 Apr 2010 20:39:41 +0200

josm (0.0.svn3094-1) unstable; urgency=low

  * New upstream release (Closes: #573566)
  * debian/patches/*:
    - converted from dpatch to quilt
    - updated to apply to the new code
    - 10-build.patch: don't build translations for plugins
      and fix references to gettext-ant-tasks
    - 60-disable_oauth.patch added, it's still missing lots of
      dependencies
    - 70-default_look_and_feel.patch added, ported from Ubuntu's
      01-default-look-and-feel.dpatch. Let's avoid discrepancies
      when possible and reasonable.
  * debian/rules, debian/control: use quilt for patch management.
  * debian/control:
    - added libgettext-ant-tasks-java and libterm-readkey-perl to
      Build-Depends
    - fields wrapped to one-value-per-line

 -- David Paleino <dapal@debian.org>  Thu, 18 Mar 2010 18:12:03 +0100

josm (0.0.svn2561-2) unstable; urgency=low

  * debian/watch fixed: implemented a redirector for uscan on Alioth.
  * debian/control:
    - add pkg-osm to uploaders
  * debian/patches/:
    - 50_preferences_world_readable.dpatch added, chmod the file to
      600 since it contains plaintext password for OSM (Closes: #572032)

 -- David Paleino <dapal@debian.org>  Tue, 02 Mar 2010 00:21:06 +0100

josm (0.0.svn2561-1) unstable; urgency=low

  [ David Paleino ]
  * debian/control:
    - added myself to Uploaders
    - Vcs-* fields updated, package moved to Git
    - moved to Section utils, according to archive override
    - Standards-Version bumped to 3.8.4, no changes needed

  [ Giovanni Mascellani ]
  * New upstream release (closes: #561184)
  * Prefer IPv4 stack (temporary workaround for the bindv6only Java bug)

 -- David Paleino <dapal@debian.org>  Mon, 22 Feb 2010 14:32:57 +0100

josm (0.0.svn2255-1) unstable; urgency=low

  [ Giovanni Mascellani ]
  * New upstream release (closes: #542653, #541326)
  * debian/josm.sh: wrong java executable path for java 1.5.0 (closes: #525020).
    Thanks to Ross Burton for the report.
  * debian/josm.sh: use java alternative if known to work (closes: #521125).
  * Plugin list update fixed (closes: #532742)
  * Policy version bumbed to 3.8.3 (no changes required)
  * Patches updated for new release
  * debian/copyright updated

  [ Francesco Paolo Lovergine ]
  * Removed OSM homepage in long description.
  * Section set to `java'.

 -- Giovanni Mascellani <mascellani@poisson.phc.unipi.it>  Fri, 06 Nov 2009 00:44:28 +0100

josm (0.0.svn1529-1) unstable; urgency=low

  [ Giovanni Mascellani ]
  * New upstream release
    + Fix bug in uploading with 0.6 API (closes: #524628). Thanks to
      Damien Raude-Morvan for the report.

  [ Andreas Putzo ]
  * Bumped policy to 3.8.1, without changes.

 -- Andreas Putzo <andreas@putzo.net>  Mon, 20 Apr 2009 10:46:57 +0000

josm (0.0.svn1515-1) unstable; urgency=low

  [ Giovanni Mascellani ]
  * New upstream SVN release. (Closes: #509239)
    - patches/*: fixed to comply with new upstream code.
  * Added ${misc:Depends} into dependencies.
  * Added optional dependencies against sun-java5-jre and sun-java6-jre.
    (Closes: #496861)
  * Added desktop file present in Ubuntu, thanks to Nathan Handler.
    (Closes: #498431)
  * Shell wrapper now recognizes JAVA_OPTS environment variable.
    (Closes: #497559)

  [ Andreas Putzo ]
  * Add copyright holders of NmeaReader.java, Changeset.java, TigerUtils.java,
    i18n/po/* to debian/copyright.
  * Add README.source file to comply with policy.
  * Add command line arguments and environment section to manpage.

 -- Andreas Putzo <andreas@putzo.net>  Thu, 16 Apr 2009 20:07:09 +0000

josm (0.0.0.20080713-1) unstable; urgency=low

  [ Giovanni Mascellani ]
  * Bumped Standards-Version to 3.8.0 (no changes needed)
  * Added Vcs-* fields in debian/control

  [ Andreas Putzo ]
  * New upstream snapshot fetched from svn, revision 716.
  * Switched to OpenJDK, dropping support for other JVM's.
    - Updated build-deps and dependencies accordingly.
    - Removed gcj specific compiler flags from 10_build.dpatch.
    - Removed 30_graphics.dpatch.
    - Updated README.Debian.
    - Updated wrapper script to choose OpenJDK if no other
      JVM is given by the user.
    (Closes: #486293, #474626)
  * Added patch description to 40_elemstyles.dpatch.
  * Mentioned Ellipsoid.java in copyright file.
  * Added DM-Upload-Allowed field to debian/control.
  * Wrap lines at 80 characters in copyright file.

 -- Andreas Putzo <andreas@putzo.net>  Sat, 19 Jul 2008 19:51:57 +0000

josm (0.0.0.20080510-1) unstable; urgency=low

  [ Giovanni Mascellani ]
  * New upstream version fetched using debian/rules get-orig-source.
    + Many little bugfixes.
    + Clarifications on upstream copyright status.
  * Switched to machine interpretable debian/copyright.

  [ Andreas Putzo ]
  * Replace dependency on java-gcj-compat with gij-4.1 or jamvm that
    work with josm. Add those to recommends to increase the chance
    that a working java can be found by the wrapper. (Closes: #475878)
  * Add josm-plugins among Recommends.

  [ Petter Reinholdtsen ]
  * Change debian packaging to GPL v2 and later, to be compatible with
    the rest of the package, after clearing it with Andreas Putzo and
    Giovanni Mascellani.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 10 May 2008 18:30:01 +0200

josm (0.0.0.20080330-1) unstable; urgency=low

  [ Giovanni Mascellani ]
  * Added myself into uploaders
  * patches/40_elemstyles:
    + Icons are searched both in openstreetmap-map-icons-classic and
      openstreetmap-map-icons-square
    + elemstyles.xml doesn't contain absolute paths to icons

  [ Petter Reinholdtsen ]
  * New upstream version fetched using debian/rules get-orig-source.
    - Drop patch 50_OsmServerWriter now applied upstream.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 30 Mar 2008 17:52:44 +0200

josm (0.0.0.20080316-2) unstable; urgency=low

  [ Andreas Putzo ]
  * Add 50_OsmServerWriter.dpatch to allow uploading with gcj.
  * Suppress some compiler warnings (serial, unusedImport) in build.xml.
  * Update wrapper script to choose a working jvm (Closes: #472285).

  [ Petter Reinholdtsen ]
  * Change wrapper script selection algorithm to try the users preference as
    defined by $JAVA_HOME first.  Next, the other JVMs known to work with josm,
    with the one working best first, and the less functional ones after that.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 26 Mar 2008 10:15:38 +0100

josm (0.0.0.20080316-1) unstable; urgency=low

  * Initial release (Closes: #385371)

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 16 Mar 2008 14:57:52 +0100
